/**
 * Cache' Java Class Generated for class Sample.Address
 *
 * @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address</A>
**/

package Sample;
import com.intersys.cache.*;
import com.intersys.objects.*;
import com.intersys.objects.reflect.*;
import com.intersys.classes.*;
import java.sql.Date;
import java.math.BigDecimal;
import java.sql.Time;
import java.sql.Timestamp;


public class Address extends SerialObject  implements java.io.Serializable {

    private static String CACHE_CLASS_NAME = "Sample.Address";
    /**
           NB: DO NOT USE IN APPLICATION!
           Use <code>Address._open</code> instead.
           <p>
           Used to construct a Java object, corresponding to existing object
           in Cache database.

           @see #_open(com.intersys.objects.Database, com.intersys.objects.Oid)
           @see #_open(com.intersys.objects.Database, com.intersys.objects.Id)
    */
    public Address (CacheObject ref) throws CacheException {
        super (ref);
    }
    /**
       Creates a new instance of object "<CacheClassName>" in Cache
       database and corresponding object of class
       <code>Address</code>.

       @param db <code>Database</code> object used for connection with
       Cache database.

       @throws CacheException in case of error.

              @see #_open(com.intersys.objects.Database, com.intersys.objects.Oid)
              @see #_open(com.intersys.objects.Database, com.intersys.objects.Id)
     */
    public Address (Database db) throws CacheException {
        super (((SysDatabase)db).newCacheObject (CACHE_CLASS_NAME));
    }
    /**
       Runs method <code> %Open </code> in Cache to open an object
       from Cache database and creates corresponding object of class
       <code>Address</code>.

       @return <code> RegisteredObject </code>, corresponding to opened
       object. This object may be of <code>Address</code> or of
      any of its subclasses. Cast to <code>Address</code> is
      guaranteed to pass without <code>ClassCastException</code> exception.

       @param db <code>Database</code> object used for connection with
       Cache database.
       @param oid Object ID as specified in Cache. represented as
      <code>Oid</code>.


       @throws CacheException in case of error.
      @see java.lang.ClassCastException
           @see #_open(com.intersys.objects.Database, com.intersys.objects.Id)
           @see #Address(com.intersys.objects.Database)
     */
    public static RegisteredObject _open (Database db, Oid oid) throws CacheException {
        CacheObject cobj = (((SysDatabase)db).openCacheObject(CACHE_CLASS_NAME, oid.getData()));
        return (RegisteredObject)(cobj.newJavaInstance());
    }
    public static RegisteredObject _open (Database db, Oid oid, int concurrency) throws CacheException {
        CacheObject cobj = (((SysDatabase)db).openCacheObject(CACHE_CLASS_NAME, oid.getData(), concurrency));
        return (RegisteredObject)(cobj.newJavaInstance());
    }
    /**
       Returns class name of the class Address as it is in
      Cache Database. Note, that this is a static method, so no
      object specific information can be returned. Use
      <code>getCacheClass().geName()</code> to get the class name
      for specific object.
       @return Cache class name as a <code>String</code>
      @see #getCacheClass()
      @see com.intersys.objects.reflect.CacheClass#getName()
     */
    public static String getCacheClassName( ) {
        return CACHE_CLASS_NAME;
    }

   /**
           Allows access metadata information about type of this object
           in Cache database. Also can be used for dynamic binding (accessing
           properties and calling methods without particular class known).

           @return <code>CacheClass</code> object for this object type.
   */
    public CacheClass getCacheClass( ) throws CacheException {
        return mInternal.getCacheClass();
    }

    /**
       Verifies that all fields from Cache class are exposed with
       accessor methods in Java class and that values for indexes in
       zObjVal are the same as in Cache. It does not return anything
       but it throws an exception in case of inconsistency.

       <p>But if there is any inconsistency in zObjVal indexes this is fatal and class can not work correctly and must be regenerated

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see com.intersys.objects.InvalidPropertyException

     */
    public static void checkAllFieldsValid(Database db ) throws CacheException {
        checkAllFieldsValid(db, CACHE_CLASS_NAME, Address.class);
    }

    /**
       Verifies that all fields from Cache class are exposed with
       accessor methods in Java class and that values for indexes in
       zObjVal are the same as in Cache. It does not return anything
       but it throws an exception in case of inconsistency.

       <p>But if there is any inconsistency in zObjVal indexes this is fatal and class can not work correctly and must be regenerated

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see com.intersys.objects.InvalidPropertyException

     */
    public static void checkAllMethods(Database db ) throws CacheException {
        checkAllMethods(db, CACHE_CLASS_NAME, Address.class);
    }
    private static int ii_City = 2;
    private static int jj_City = 0;
    private static int kk_City = 2;
    /**
       Verifies that indexes for property <code>City</code> in
       zObjVal are the same as in Cache. It does not return anything
       but it thorws an exception in case of inconsistency.

       <p> Please note, that if there is any inconsistncy in zObjVal
       indexes this is fatal and class can not work correctly and must
       be regenrated.

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see #checkAllFieldsValid

     */
    public static void checkCityValid (Database db) throws CacheException {
        checkZobjValid(db, CACHE_CLASS_NAME, "City",ii_City, jj_City, kk_City);
    }
    /**
       Returns value of property <code>City</code>
       @return current value of <code>City</code> represented as
       <code>java.lang.String</code>

       @throws CacheException if any error occurred during value retrieval.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#City"> City</A>
    */
    public java.lang.String getCity() throws CacheException {
        Dataholder dh = mInternal.getProperty(ii_City,
                                                jj_City,
                                                Database.RET_PRIM,
                                                "City");
       return dh.getString();
    }

    /**
       Sets new value for <code>City</code>.
       @param value new value to be set represented as
       <code>java.lang.String</code>.
       @throws CacheException if any error occurred during value setting.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#City"> City</A>
    */
    public void setCity(java.lang.String value) throws CacheException {
        Dataholder dh = new Dataholder (value);
        mInternal.setProperty(ii_City, jj_City,kk_City, Database.RET_PRIM, "City", dh);
        return;
    }

    private static int ii_Pref = 3;
    private static int jj_Pref = 0;
    private static int kk_Pref = 3;
    /**
       Verifies that indexes for property <code>Pref</code> in
       zObjVal are the same as in Cache. It does not return anything
       but it thorws an exception in case of inconsistency.

       <p> Please note, that if there is any inconsistncy in zObjVal
       indexes this is fatal and class can not work correctly and must
       be regenrated.

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see #checkAllFieldsValid

     */
    public static void checkPrefValid (Database db) throws CacheException {
        checkZobjValid(db, CACHE_CLASS_NAME, "Pref",ii_Pref, jj_Pref, kk_Pref);
    }
    /**
       Returns value of property <code>Pref</code>
       @return current value of <code>Pref</code> represented as
       <code>java.lang.String</code>

       @throws CacheException if any error occurred during value retrieval.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Pref"> Pref</A>
    */
    public java.lang.String getPref() throws CacheException {
        Dataholder dh = mInternal.getProperty(ii_Pref,
                                                jj_Pref,
                                                Database.RET_PRIM,
                                                "Pref");
       return dh.getString();
    }

    /**
       Sets new value for <code>Pref</code>.
       @param value new value to be set represented as
       <code>java.lang.String</code>.
       @throws CacheException if any error occurred during value setting.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Pref"> Pref</A>
    */
    public void setPref(java.lang.String value) throws CacheException {
        Dataholder dh = new Dataholder (value);
        mInternal.setProperty(ii_Pref, jj_Pref,kk_Pref, Database.RET_PRIM, "Pref", dh);
        return;
    }

    private static int ii_Street = 4;
    private static int jj_Street = 0;
    private static int kk_Street = 4;
    /**
       Verifies that indexes for property <code>Street</code> in
       zObjVal are the same as in Cache. It does not return anything
       but it thorws an exception in case of inconsistency.

       <p> Please note, that if there is any inconsistncy in zObjVal
       indexes this is fatal and class can not work correctly and must
       be regenrated.

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see #checkAllFieldsValid

     */
    public static void checkStreetValid (Database db) throws CacheException {
        checkZobjValid(db, CACHE_CLASS_NAME, "Street",ii_Street, jj_Street, kk_Street);
    }
    /**
       Returns value of property <code>Street</code>
       @return current value of <code>Street</code> represented as
       <code>java.lang.String</code>

       @throws CacheException if any error occurred during value retrieval.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Street"> Street</A>
    */
    public java.lang.String getStreet() throws CacheException {
        Dataholder dh = mInternal.getProperty(ii_Street,
                                                jj_Street,
                                                Database.RET_PRIM,
                                                "Street");
       return dh.getString();
    }

    /**
       Sets new value for <code>Street</code>.
       @param value new value to be set represented as
       <code>java.lang.String</code>.
       @throws CacheException if any error occurred during value setting.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Street"> Street</A>
    */
    public void setStreet(java.lang.String value) throws CacheException {
        Dataholder dh = new Dataholder (value);
        mInternal.setProperty(ii_Street, jj_Street,kk_Street, Database.RET_PRIM, "Street", dh);
        return;
    }

    private static int ii_Zip = 5;
    private static int jj_Zip = 0;
    private static int kk_Zip = 5;
    /**
       Verifies that indexes for property <code>Zip</code> in
       zObjVal are the same as in Cache. It does not return anything
       but it thorws an exception in case of inconsistency.

       <p> Please note, that if there is any inconsistncy in zObjVal
       indexes this is fatal and class can not work correctly and must
       be regenrated.

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see #checkAllFieldsValid

     */
    public static void checkZipValid (Database db) throws CacheException {
        checkZobjValid(db, CACHE_CLASS_NAME, "Zip",ii_Zip, jj_Zip, kk_Zip);
    }
    /**
       Returns value of property <code>Zip</code>
       @return current value of <code>Zip</code> represented as
       <code>java.lang.String</code>

       @throws CacheException if any error occurred during value retrieval.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Zip"> Zip</A>
    */
    public java.lang.String getZip() throws CacheException {
        Dataholder dh = mInternal.getProperty(ii_Zip,
                                                jj_Zip,
                                                Database.RET_PRIM,
                                                "Zip");
       return dh.getString();
    }

    /**
       Sets new value for <code>Zip</code>.
       @param value new value to be set represented as
       <code>java.lang.String</code>.
       @throws CacheException if any error occurred during value setting.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Zip"> Zip</A>
    */
    public void setZip(java.lang.String value) throws CacheException {
        Dataholder dh = new Dataholder (value);
        mInternal.setProperty(ii_Zip, jj_Zip,kk_Zip, Database.RET_PRIM, "Zip", dh);
        return;
    }

    /**
     Runs method sys_ClassName in Cache
     @param db represented as Database
     @param fullname represented as java.lang.Boolean
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#%ClassName"> Method %ClassName</A>
    */
    public static java.lang.String sys_ClassName (Database db, java.lang.Boolean fullname) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(fullname);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%ClassName",args,Database.RET_PRIM);
        return res.getString();
    }

    /**
     Runs method sys_Extends in Cache
     @param db represented as Database
     @param isclass represented as java.lang.String
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#%Extends"> Method %Extends</A>
    */
    public static java.lang.Integer sys_Extends (Database db, java.lang.String isclass) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(isclass);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%Extends",args,Database.RET_PRIM);
        return res.getInteger();
    }

    /**
     Runs method sys_GetParameter in Cache
     @param db represented as Database
     @param paramname set to ""
     @throws CacheException if any error occured while running the method.
     @see #sys_GetParameter(Database,java.lang.String)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#%GetParameter"> Method %GetParameter</A>
    */
    public static java.lang.String sys_GetParameter (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%GetParameter",args,Database.RET_PRIM);
        return res.getString();
    }
    /**
     Runs method sys_GetParameter in Cache
     @param db represented as Database
     @param paramname represented as java.lang.String
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#%GetParameter"> Method %GetParameter</A>
    */
    public static java.lang.String sys_GetParameter (Database db, java.lang.String paramname) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(paramname);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%GetParameter",args,Database.RET_PRIM);
        return res.getString();
    }

    /**
     Runs method sys_IsA in Cache
     @param db represented as Database
     @param isclass represented as java.lang.String
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#%IsA"> Method %IsA</A>
    */
    public static java.lang.Integer sys_IsA (Database db, java.lang.String isclass) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(isclass);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%IsA",args,Database.RET_PRIM);
        return res.getInteger();
    }

    /**
     Runs method sys_PackageName in Cache
     @param db represented as Database
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#%PackageName"> Method %PackageName</A>
    */
    public static java.lang.String sys_PackageName (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%PackageName",args,Database.RET_PRIM);
        return res.getString();
    }

    /**
     Runs method LogicalToOdbc in Cache
     @param db represented as Database
     @param val set to ""
     @throws CacheException if any error occured while running the method.
     @see #LogicalToOdbc(Database,java.lang.String)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#LogicalToOdbc"> Method LogicalToOdbc</A>
    */
    public static java.lang.String LogicalToOdbc (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"LogicalToOdbc",args,Database.RET_PRIM);
        return res.getString();
    }
    /**
     Runs method LogicalToOdbc in Cache
     @param db represented as Database
     @param val represented as java.lang.String
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#LogicalToOdbc"> Method LogicalToOdbc</A>
    */
    public static java.lang.String LogicalToOdbc (Database db, java.lang.String val) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(val);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"LogicalToOdbc",args,Database.RET_PRIM);
        return res.getString();
    }

    /**
     Runs method OdbcToLogical in Cache
     @param db represented as Database
     @param val set to ""
     @throws CacheException if any error occured while running the method.
     @see #OdbcToLogical(Database,java.lang.String)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#OdbcToLogical"> Method OdbcToLogical</A>
    */
    public static java.lang.String OdbcToLogical (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"OdbcToLogical",args,Database.RET_PRIM);
        return res.getString();
    }
    /**
     Runs method OdbcToLogical in Cache
     @param db represented as Database
     @param val represented as java.lang.String
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#OdbcToLogical"> Method OdbcToLogical</A>
    */
    public static java.lang.String OdbcToLogical (Database db, java.lang.String val) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(val);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"OdbcToLogical",args,Database.RET_PRIM);
        return res.getString();
    }

    /**
     Runs method OnPopulate in Cache
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#OnPopulate"> Method OnPopulate</A>
    */
    public void OnPopulate () throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=mInternal.runInstanceMethod("OnPopulate",args,Database.RET_PRIM);
        getDatabase().parseStatus(res);
        return;
    }

    /**
     Runs method Populate in Cache
     @param db represented as Database
     @param count set to 10
     @param verbose set to 0
     @param DeferIndices set to 1
     @param objects set to 0
     @throws CacheException if any error occured while running the method.
     @see #Populate(Database,java.lang.Integer,java.lang.Integer,java.lang.Integer,com.intersys.objects.IntegerHolder)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Populate"> Method Populate</A>
    */
    public static java.lang.Integer Populate (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"Populate",args,Database.RET_PRIM);
        return res.getInteger();
    }
    /**
     Runs method Populate in Cache
     @param db represented as Database
     @param count represented as java.lang.Integer
     @param verbose set to 0
     @param DeferIndices set to 1
     @param objects set to 0
     @throws CacheException if any error occured while running the method.
     @see #Populate(Database,java.lang.Integer,java.lang.Integer,java.lang.Integer,com.intersys.objects.IntegerHolder)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Populate"> Method Populate</A>
    */
    public static java.lang.Integer Populate (Database db, java.lang.Integer count) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(count);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"Populate",args,Database.RET_PRIM);
        return res.getInteger();
    }
    /**
     Runs method Populate in Cache
     @param db represented as Database
     @param count represented as java.lang.Integer
     @param verbose represented as java.lang.Integer
     @param DeferIndices set to 1
     @param objects set to 0
     @throws CacheException if any error occured while running the method.
     @see #Populate(Database,java.lang.Integer,java.lang.Integer,java.lang.Integer,com.intersys.objects.IntegerHolder)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Populate"> Method Populate</A>
    */
    public static java.lang.Integer Populate (Database db, java.lang.Integer count, java.lang.Integer verbose) throws CacheException {
        Dataholder[] args = new Dataholder[2];
        args[0] = new Dataholder(count);
        args[1] = new Dataholder(verbose);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"Populate",args,Database.RET_PRIM);
        return res.getInteger();
    }
    /**
     Runs method Populate in Cache
     @param db represented as Database
     @param count represented as java.lang.Integer
     @param verbose represented as java.lang.Integer
     @param DeferIndices represented as java.lang.Integer
     @param objects set to 0
     @throws CacheException if any error occured while running the method.
     @see #Populate(Database,java.lang.Integer,java.lang.Integer,java.lang.Integer,com.intersys.objects.IntegerHolder)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Populate"> Method Populate</A>
    */
    public static java.lang.Integer Populate (Database db, java.lang.Integer count, java.lang.Integer verbose, java.lang.Integer DeferIndices) throws CacheException {
        Dataholder[] args = new Dataholder[3];
        args[0] = new Dataholder(count);
        args[1] = new Dataholder(verbose);
        args[2] = new Dataholder(DeferIndices);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"Populate",args,Database.RET_PRIM);
        return res.getInteger();
    }
    /**
     Runs method Populate in Cache
     @param db represented as Database
     @param count represented as java.lang.Integer
     @param verbose represented as java.lang.Integer
     @param DeferIndices represented as java.lang.Integer
     @param objects represented as com.intersys.objects.IntegerHolder
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#Populate"> Method Populate</A>
    */
    public static java.lang.Integer Populate (Database db, java.lang.Integer count, java.lang.Integer verbose, java.lang.Integer DeferIndices, com.intersys.objects.IntegerHolder objects) throws CacheException {
        Dataholder[] args = new Dataholder[4];
        int[] refs = new int[1];
        args[0] = new Dataholder(count);
        args[1] = new Dataholder(verbose);
        args[2] = new Dataholder(DeferIndices);
        args[3] = Dataholder.create (objects.value);
        refs[0] = 4;
        Dataholder[] res=db.runClassMethod(CACHE_CLASS_NAME,"Populate",refs,args,Database.RET_PRIM);
        objects.set(res[1].getInteger());
        return res[0].getInteger();
    }

    /**
     Runs method PopulateSerial in Cache
     @param db represented as Database
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.Address#PopulateSerial"> Method PopulateSerial</A>
    */
    public static java.lang.String PopulateSerial (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"PopulateSerial",args,Database.RET_PRIM);
        return res.getString();
    }

}
