/**
 * Cache' Java Class Generated for class Sample.ProductSize
 *
 * @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize</A>
**/

package Sample;
import com.intersys.cache.*;
import com.intersys.objects.*;
import com.intersys.objects.reflect.*;
import com.intersys.classes.*;
import java.sql.Date;
import java.math.BigDecimal;
import java.sql.Time;
import java.sql.Timestamp;
import Sample.Product;
import Sample.ProductStock;


public class ProductSize extends Persistent {

    private static String CACHE_CLASS_NAME = "Sample.ProductSize";
    /**
           NB: DO NOT USE IN APPLICATION!
           Use <code>ProductSize._open</code> instead.
           <p>
           Used to construct a Java object, corresponding to existing object
           in Cache database.

           @see #_open(com.intersys.objects.Database, com.intersys.objects.Oid)
           @see #_open(com.intersys.objects.Database, com.intersys.objects.Id)
    */
    public ProductSize (CacheObject ref) throws CacheException {
        super (ref);
    }
    /**
       Creates a new instance of object "<CacheClassName>" in Cache
       database and corresponding object of class
       <code>ProductSize</code>.

       @param db <code>Database</code> object used for connection with
       Cache database.

       @throws CacheException in case of error.

              @see #_open(com.intersys.objects.Database, com.intersys.objects.Oid)
              @see #_open(com.intersys.objects.Database, com.intersys.objects.Id)
     */
    public ProductSize (Database db) throws CacheException {
        super (((SysDatabase)db).newCacheObject (CACHE_CLASS_NAME));
    }
    /**
       Runs method <code> %OpenId </code> in Cache to open an object
       from Cache database and creates corresponding object of class
       <code>ProductSize</code>.

       @return <code> RegisteredObject </code>, corresponding to opened
       object. This object may be of <code>ProductSize</code> or of
      any of its subclasses. Cast to <code>ProductSize</code> is
      guaranteed to pass without <code>ClassCastException</code> exception.

       @param db <code>Database</code> object used for connection with
       Cache database.

       @param id ID as specified in Cache represented as
      <code>Id</code>.

       @throws CacheException in case of error.
      @see java.lang.ClassCastException
           @see #_open(com.intersys.objects.Database, com.intersys.objects.Oid)
           @see #ProductSize
     */
    public static RegisteredObject _open (Database db, Id id) throws CacheException {
        CacheObject cobj = (((SysDatabase)db).openCacheObject(CACHE_CLASS_NAME, id.toString()));
        return (RegisteredObject)(cobj.newJavaInstance());
    }
    public static RegisteredObject _open (Database db, Id id, int concurrency) throws CacheException {
        CacheObject cobj = (((SysDatabase)db).openCacheObject(CACHE_CLASS_NAME, id.toString(), concurrency));
        return (RegisteredObject)(cobj.newJavaInstance());
    }
    /**
       Runs method <code> %Open </code> in Cache to open an object
       from Cache database and creates corresponding object of class
       <code>ProductSize</code>.

       @return <code> RegisteredObject </code>, corresponding to opened
       object. This object may be of <code>ProductSize</code> or of
      any of its subclasses. Cast to <code>ProductSize</code> is
      guaranteed to pass without <code>ClassCastException</code> exception.

       @param db <code>Database</code> object used for connection with
       Cache database.
       @param oid Object ID as specified in Cache. represented as
      <code>Oid</code>.


       @throws CacheException in case of error.
      @see java.lang.ClassCastException
           @see #_open(com.intersys.objects.Database, com.intersys.objects.Id)
           @see #ProductSize(com.intersys.objects.Database)
     */
    public static RegisteredObject _open (Database db, Oid oid) throws CacheException {
        CacheObject cobj = (((SysDatabase)db).openCacheObject(CACHE_CLASS_NAME, oid.getData()));
        return (RegisteredObject)(cobj.newJavaInstance());
    }
    public static RegisteredObject _open (Database db, Oid oid, int concurrency) throws CacheException {
        CacheObject cobj = (((SysDatabase)db).openCacheObject(CACHE_CLASS_NAME, oid.getData(), concurrency));
        return (RegisteredObject)(cobj.newJavaInstance());
    }
    public static void delete (Database db, Id id) throws CacheException {
        ((SysDatabase)db).deleteObject(CACHE_CLASS_NAME, id);
    }
    public static void delete (Database db, Id id, int concurrency) throws CacheException {
        ((SysDatabase)db).deleteObject(CACHE_CLASS_NAME, id, concurrency);
    }
    public static void _deleteId (Database db, Id id) throws CacheException {
        delete(db, id);
    }
    public static void _deleteId (Database db, Id id, int concurrency) throws CacheException {
        delete(db, id, concurrency);
    }
    public static boolean exists (Database db, Id id) throws CacheException {
        return ((SysDatabase)db).existsObject(CACHE_CLASS_NAME, id);
    }
    public static Boolean _existsId (Database db, Id id) throws CacheException {
        return new Boolean(exists(db, id));
    }
    /**
       Returns class name of the class ProductSize as it is in
      Cache Database. Note, that this is a static method, so no
      object specific information can be returned. Use
      <code>getCacheClass().geName()</code> to get the class name
      for specific object.
       @return Cache class name as a <code>String</code>
      @see #getCacheClass()
      @see com.intersys.objects.reflect.CacheClass#getName()
     */
    public static String getCacheClassName( ) {
        return CACHE_CLASS_NAME;
    }

   /**
           Allows access metadata information about type of this object
           in Cache database. Also can be used for dynamic binding (accessing
           properties and calling methods without particular class known).

           @return <code>CacheClass</code> object for this object type.
   */
    public CacheClass getCacheClass( ) throws CacheException {
        return mInternal.getCacheClass();
    }

    /**
       Verifies that all fields from Cache class are exposed with
       accessor methods in Java class and that values for indexes in
       zObjVal are the same as in Cache. It does not return anything
       but it throws an exception in case of inconsistency.

       <p>But if there is any inconsistency in zObjVal indexes this is fatal and class can not work correctly and must be regenerated

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see com.intersys.objects.InvalidPropertyException

     */
    public static void checkAllFieldsValid(Database db ) throws CacheException {
        checkAllFieldsValid(db, CACHE_CLASS_NAME, ProductSize.class);
    }

    public static boolean exists (Database db, Oid oid) throws CacheException {
        return exists (db, oid, CACHE_CLASS_NAME);
    }

    /**
       Verifies that all fields from Cache class are exposed with
       accessor methods in Java class and that values for indexes in
       zObjVal are the same as in Cache. It does not return anything
       but it throws an exception in case of inconsistency.

       <p>But if there is any inconsistency in zObjVal indexes this is fatal and class can not work correctly and must be regenerated

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see com.intersys.objects.InvalidPropertyException

     */
    public static void checkAllMethods(Database db ) throws CacheException {
        checkAllMethods(db, CACHE_CLASS_NAME, ProductSize.class);
    }
    private static int ii_PID = -1;
    private static int jj_PID = 0;
    private static int kk_PID = 0;
    /**
       Verifies that indexes for property <code>PID</code> in
       zObjVal are the same as in Cache. It does not return anything
       but it thorws an exception in case of inconsistency.

       <p> Please note, that if there is any inconsistncy in zObjVal
       indexes this is fatal and class can not work correctly and must
       be regenrated.

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see #checkAllFieldsValid

     */
    public static void checkPIDValid (Database db) throws CacheException {
        checkZobjValid(db, CACHE_CLASS_NAME, "PID",ii_PID, jj_PID, kk_PID);
    }
    /**
       Returns value of property <code>PID</code>
       @return current value of <code>PID</code> represented as
       <code>java.lang.Integer</code>

       @throws CacheException if any error occurred during value retrieval.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#PID"> PID</A>
    */
    public java.lang.Integer getPID() throws CacheException {
        return PIDGet();
    }
    private static int ii_Price = 3;
    private static int jj_Price = 0;
    private static int kk_Price = 3;
    /**
       Verifies that indexes for property <code>Price</code> in
       zObjVal are the same as in Cache. It does not return anything
       but it thorws an exception in case of inconsistency.

       <p> Please note, that if there is any inconsistncy in zObjVal
       indexes this is fatal and class can not work correctly and must
       be regenrated.

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see #checkAllFieldsValid

     */
    public static void checkPriceValid (Database db) throws CacheException {
        checkZobjValid(db, CACHE_CLASS_NAME, "Price",ii_Price, jj_Price, kk_Price);
    }
    /**
       Returns value of property <code>Price</code>
       @return current value of <code>Price</code> represented as
       <code>java.lang.Integer</code>

       @throws CacheException if any error occurred during value retrieval.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#Price"> Price</A>
    */
    public java.lang.Integer getPrice() throws CacheException {
        Dataholder dh = mInternal.getProperty(ii_Price,
                                                jj_Price,
                                                Database.RET_PRIM,
                                                "Price");
       return dh.getInteger();
    }

    /**
       Sets new value for <code>Price</code>.
       @param value new value to be set represented as
       <code>java.lang.Integer</code>.
       @throws CacheException if any error occurred during value setting.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#Price"> Price</A>
    */
    public void setPrice(java.lang.Integer value) throws CacheException {
        Dataholder dh = new Dataholder (value);
        mInternal.setProperty(ii_Price, jj_Price,kk_Price, Database.RET_PRIM, "Price", dh);
        return;
    }

    private static int ii_ProductStocks = 5;
    private static int jj_ProductStocks = 0;
    private static int kk_ProductStocks = 4;
    /**
       Verifies that indexes for property <code>ProductStocks</code> in
       zObjVal are the same as in Cache. It does not return anything
       but it thorws an exception in case of inconsistency.

       <p> Please note, that if there is any inconsistncy in zObjVal
       indexes this is fatal and class can not work correctly and must
       be regenrated.

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see #checkAllFieldsValid

     */
    public static void checkProductStocksValid (Database db) throws CacheException {
        checkZobjValid(db, CACHE_CLASS_NAME, "ProductStocks",ii_ProductStocks, jj_ProductStocks, kk_ProductStocks);
    }
    /**
       Returns value of property <code>ProductStocks</code>
       @return current value of <code>ProductStocks</code> represented as
       <code>RelationshipObject</code>

       @throws CacheException if any error occurred during value retrieval.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#ProductStocks"> ProductStocks</A>
    */
    public RelationshipObject getProductStocks() throws CacheException {
        Dataholder dh = mInternal.getProperty(ii_ProductStocks,
                                                jj_ProductStocks,
                                                Database.RET_OBJECT,
                                                "ProductStocks");
        CacheObject cobj = dh.getCacheObject();
        if (cobj == null)
            return null;
        return (RelationshipObject)(cobj.newJavaInstance());
    }

    /**
       Sets new value for <code>ProductStocks</code>.
       @param value new value to be set represented as
       <code>RelationshipObject</code>.
       @throws CacheException if any error occurred during value setting.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#ProductStocks"> ProductStocks</A>
    */
    public void setProductStocks(RelationshipObject value) throws CacheException {
        Dataholder dh = new Dataholder (value);
        mInternal.setProperty(ii_ProductStocks, jj_ProductStocks,kk_ProductStocks, Database.RET_OBJECT, "ProductStocks", dh);
        return;
    }

    private static int ii_SSize = 6;
    private static int jj_SSize = 0;
    private static int kk_SSize = 5;
    /**
       Verifies that indexes for property <code>SSize</code> in
       zObjVal are the same as in Cache. It does not return anything
       but it thorws an exception in case of inconsistency.

       <p> Please note, that if there is any inconsistncy in zObjVal
       indexes this is fatal and class can not work correctly and must
       be regenrated.

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see #checkAllFieldsValid

     */
    public static void checkSSizeValid (Database db) throws CacheException {
        checkZobjValid(db, CACHE_CLASS_NAME, "SSize",ii_SSize, jj_SSize, kk_SSize);
    }
    /**
       Returns value of property <code>SSize</code>
       @return current value of <code>SSize</code> represented as
       <code>java.lang.String</code>

       @throws CacheException if any error occurred during value retrieval.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#SSize"> SSize</A>
    */
    public java.lang.String getSSize() throws CacheException {
        Dataholder dh = mInternal.getProperty(ii_SSize,
                                                jj_SSize,
                                                Database.RET_PRIM,
                                                "SSize");
       return dh.getString();
    }

    /**
       Sets new value for <code>SSize</code>.
       @param value new value to be set represented as
       <code>java.lang.String</code>.
       @throws CacheException if any error occurred during value setting.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#SSize"> SSize</A>
    */
    public void setSSize(java.lang.String value) throws CacheException {
        Dataholder dh = new Dataholder (value);
        mInternal.setProperty(ii_SSize, jj_SSize,kk_SSize, Database.RET_PRIM, "SSize", dh);
        return;
    }

    private static int ii_TheProduct = 8;
    private static int jj_TheProduct = 0;
    private static int kk_TheProduct = 6;
    /**
       Verifies that indexes for property <code>TheProduct</code> in
       zObjVal are the same as in Cache. It does not return anything
       but it thorws an exception in case of inconsistency.

       <p> Please note, that if there is any inconsistncy in zObjVal
       indexes this is fatal and class can not work correctly and must
       be regenrated.

       @param db Database used for connection. Note that if you are
       using multiple databases the class can be consistent with one
       and inconsistent with another.
       @throws InvalidClassException if any inconsistency is found.
       @throws CacheException if any error occurred during
       verification, e.g. communication error with Database.
       @see #checkAllFieldsValid

     */
    public static void checkTheProductValid (Database db) throws CacheException {
        checkZobjValid(db, CACHE_CLASS_NAME, "TheProduct",ii_TheProduct, jj_TheProduct, kk_TheProduct);
    }
    /**
       Returns value of property <code>TheProduct</code>
       @return current value of <code>TheProduct</code> represented as
       <code>Sample.Product</code>

       @throws CacheException if any error occurred during value retrieval.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#TheProduct"> TheProduct</A>
    */
    public Sample.Product getTheProduct() throws CacheException {
        Dataholder dh = mInternal.getProperty(ii_TheProduct,
                                                jj_TheProduct,
                                                Database.RET_OBJECT,
                                                "TheProduct");
        CacheObject cobj = dh.getCacheObject();
        if (cobj == null)
            return null;
        return (Sample.Product)(cobj.newJavaInstance());
    }

    /**
       Sets new value for <code>TheProduct</code>.
       @param value new value to be set represented as
       <code>Sample.Product</code>.
       @throws CacheException if any error occurred during value setting.
       @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#TheProduct"> TheProduct</A>
    */
    public void setTheProduct(Sample.Product value) throws CacheException {
        Dataholder dh = new Dataholder (value);
        mInternal.setProperty(ii_TheProduct, jj_TheProduct,kk_TheProduct, Database.RET_OBJECT, "TheProduct", dh);
        return;
    }

    /**
     Runs method sys_BMEBuilt in Cache
     @param db represented as Database
     @param bmeName represented as com.intersys.objects.StringHolder
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%BMEBuilt"> Method %BMEBuilt</A>
    */
    public static java.lang.Boolean sys_BMEBuilt (Database db, com.intersys.objects.StringHolder bmeName) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        int[] refs = new int[1];
        args[0] = Dataholder.create (bmeName.value);
        refs[0] = 1;
        Dataholder[] res=db.runClassMethod(CACHE_CLASS_NAME,"%BMEBuilt",refs,args,Database.RET_PRIM);
        bmeName.set(res[1].getString());
        return res[0].getBoolean();
    }

    /**
     Runs method sys_BuildIndices in Cache
     @param db represented as Database
     @param idxlist set to ""
     @throws CacheException if any error occured while running the method.
     @see #sys_BuildIndices(Database,com.intersys.objects.SList)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%BuildIndices"> Method %BuildIndices</A>
    */
    public static void sys_BuildIndices (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%BuildIndices",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }
    /**
     Runs method sys_BuildIndices in Cache
     @param db represented as Database
     @param idxlist represented as com.intersys.objects.SList
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%BuildIndices"> Method %BuildIndices</A>
    */
    public static void sys_BuildIndices (Database db, com.intersys.objects.SList idxlist) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(idxlist);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%BuildIndices",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }

    /**
     Runs method sys_CheckUnique in Cache
     @param db represented as Database
     @param idxlist set to ""
     @throws CacheException if any error occured while running the method.
     @see #sys_CheckUnique(Database,com.intersys.objects.SList)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%CheckUnique"> Method %CheckUnique</A>
    */
    public static void sys_CheckUnique (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%CheckUnique",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }
    /**
     Runs method sys_CheckUnique in Cache
     @param db represented as Database
     @param idxlist represented as com.intersys.objects.SList
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%CheckUnique"> Method %CheckUnique</A>
    */
    public static void sys_CheckUnique (Database db, com.intersys.objects.SList idxlist) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(idxlist);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%CheckUnique",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }

    /**
     Runs method sys_ClassName in Cache
     @param db represented as Database
     @param fullname represented as java.lang.Boolean
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%ClassName"> Method %ClassName</A>
    */
    public static java.lang.String sys_ClassName (Database db, java.lang.Boolean fullname) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(fullname);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%ClassName",args,Database.RET_PRIM);
        return res.getString();
    }

    /**
     Runs method sys_Delete in Cache
     @param db represented as Database
     @param oid set to ""
     @param concurrency set to -1
     @throws CacheException if any error occured while running the method.
     @see #sys_Delete(Database,com.intersys.objects.Oid,java.lang.Integer)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%Delete"> Method %Delete</A>
    */
    public static void sys_Delete (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%Delete",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }
    /**
     Runs method sys_Delete in Cache
     @param db represented as Database
     @param oid represented as com.intersys.objects.Oid
     @param concurrency set to -1
     @throws CacheException if any error occured while running the method.
     @see #sys_Delete(Database,com.intersys.objects.Oid,java.lang.Integer)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%Delete"> Method %Delete</A>
    */
    public static void sys_Delete (Database db, com.intersys.objects.Oid oid) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(oid);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%Delete",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }
    /**
     Runs method sys_Delete in Cache
     @param db represented as Database
     @param oid represented as com.intersys.objects.Oid
     @param concurrency represented as java.lang.Integer
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%Delete"> Method %Delete</A>
    */
    public static void sys_Delete (Database db, com.intersys.objects.Oid oid, java.lang.Integer concurrency) throws CacheException {
        Dataholder[] args = new Dataholder[2];
        args[0] = new Dataholder(oid);
        args[1] = new Dataholder(concurrency);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%Delete",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }

    /**
     Runs method sys_DeleteExtent in Cache
     @param db represented as Database
     @param concurrency represented as java.lang.Integer
     @param deletecount represented as com.intersys.objects.StringHolder
     @param instancecount represented as com.intersys.objects.StringHolder
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%DeleteExtent"> Method %DeleteExtent</A>
    */
    public static void sys_DeleteExtent (Database db, java.lang.Integer concurrency, com.intersys.objects.StringHolder deletecount, com.intersys.objects.StringHolder instancecount) throws CacheException {
        Dataholder[] args = new Dataholder[3];
        int[] refs = new int[2];
        args[0] = new Dataholder(concurrency);
        args[1] = Dataholder.create (deletecount.value);
        refs[0] = 2;
        args[2] = Dataholder.create (instancecount.value);
        refs[1] = 3;
        Dataholder[] res=db.runClassMethod(CACHE_CLASS_NAME,"%DeleteExtent",refs,args,Database.RET_PRIM);
        db.parseStatus(res[0]);
        deletecount.set(res[1].getString());
        instancecount.set(res[2].getString());
        return;
    }

    /**
     Runs method sys_DeleteId in Cache
     @param db represented as Database
     @param id represented as java.lang.String
     @param concurrency set to -1
     @throws CacheException if any error occured while running the method.
     @see #sys_DeleteId(Database,java.lang.String,java.lang.Integer)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%DeleteId"> Method %DeleteId</A>
    */
    public static void sys_DeleteId (Database db, java.lang.String id) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(id);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%DeleteId",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }
    /**
     Runs method sys_DeleteId in Cache
     @param db represented as Database
     @param id represented as java.lang.String
     @param concurrency represented as java.lang.Integer
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%DeleteId"> Method %DeleteId</A>
    */
    public static void sys_DeleteId (Database db, java.lang.String id, java.lang.Integer concurrency) throws CacheException {
        Dataholder[] args = new Dataholder[2];
        args[0] = new Dataholder(id);
        args[1] = new Dataholder(concurrency);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%DeleteId",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }

    /**
     Runs method sys_Exists in Cache
     @param db represented as Database
     @param oid set to ""
     @throws CacheException if any error occured while running the method.
     @see #sys_Exists(Database,com.intersys.objects.Oid)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%Exists"> Method %Exists</A>
    */
    public static java.lang.Boolean sys_Exists (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%Exists",args,Database.RET_PRIM);
        return res.getBoolean();
    }
    /**
     Runs method sys_Exists in Cache
     @param db represented as Database
     @param oid represented as com.intersys.objects.Oid
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%Exists"> Method %Exists</A>
    */
    public static java.lang.Boolean sys_Exists (Database db, com.intersys.objects.Oid oid) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(oid);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%Exists",args,Database.RET_PRIM);
        return res.getBoolean();
    }

    /**
     Runs method sys_ExistsId in Cache
     @param db represented as Database
     @param id represented as java.lang.String
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%ExistsId"> Method %ExistsId</A>
    */
    public static java.lang.Boolean sys_ExistsId (Database db, java.lang.String id) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(id);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%ExistsId",args,Database.RET_PRIM);
        return res.getBoolean();
    }

    /**
     Runs method sys_Extends in Cache
     @param db represented as Database
     @param isclass represented as java.lang.String
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%Extends"> Method %Extends</A>
    */
    public static java.lang.Integer sys_Extends (Database db, java.lang.String isclass) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(isclass);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%Extends",args,Database.RET_PRIM);
        return res.getInteger();
    }

    /**
     Runs method sys_GetParameter in Cache
     @param db represented as Database
     @param paramname set to ""
     @throws CacheException if any error occured while running the method.
     @see #sys_GetParameter(Database,java.lang.String)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%GetParameter"> Method %GetParameter</A>
    */
    public static java.lang.String sys_GetParameter (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%GetParameter",args,Database.RET_PRIM);
        return res.getString();
    }
    /**
     Runs method sys_GetParameter in Cache
     @param db represented as Database
     @param paramname represented as java.lang.String
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%GetParameter"> Method %GetParameter</A>
    */
    public static java.lang.String sys_GetParameter (Database db, java.lang.String paramname) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(paramname);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%GetParameter",args,Database.RET_PRIM);
        return res.getString();
    }

    /**
     Runs method sys_IsA in Cache
     @param db represented as Database
     @param isclass represented as java.lang.String
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%IsA"> Method %IsA</A>
    */
    public static java.lang.Integer sys_IsA (Database db, java.lang.String isclass) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(isclass);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%IsA",args,Database.RET_PRIM);
        return res.getInteger();
    }

    /**
     Runs method sys_KillExtent in Cache
     @param db represented as Database
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%KillExtent"> Method %KillExtent</A>
    */
    public static void sys_KillExtent (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%KillExtent",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }

    /**
     Runs method sys_PackageName in Cache
     @param db represented as Database
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%PackageName"> Method %PackageName</A>
    */
    public static java.lang.String sys_PackageName (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%PackageName",args,Database.RET_PRIM);
        return res.getString();
    }

    /**
     Runs method sys_PurgeIndices in Cache
     @param db represented as Database
     @param idxlist set to ""
     @throws CacheException if any error occured while running the method.
     @see #sys_PurgeIndices(Database,com.intersys.objects.SList)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%PurgeIndices"> Method %PurgeIndices</A>
    */
    public static void sys_PurgeIndices (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%PurgeIndices",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }
    /**
     Runs method sys_PurgeIndices in Cache
     @param db represented as Database
     @param idxlist represented as com.intersys.objects.SList
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%PurgeIndices"> Method %PurgeIndices</A>
    */
    public static void sys_PurgeIndices (Database db, com.intersys.objects.SList idxlist) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(idxlist);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%PurgeIndices",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }

    /**
     Runs method sys_SortBegin in Cache
     @param db represented as Database
     @param idxlist set to ""
     @param excludeunique set to 0
     @throws CacheException if any error occured while running the method.
     @see #sys_SortBegin(Database,com.intersys.objects.SList,java.lang.Integer)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%SortBegin"> Method %SortBegin</A>
    */
    public static void sys_SortBegin (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%SortBegin",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }
    /**
     Runs method sys_SortBegin in Cache
     @param db represented as Database
     @param idxlist represented as com.intersys.objects.SList
     @param excludeunique set to 0
     @throws CacheException if any error occured while running the method.
     @see #sys_SortBegin(Database,com.intersys.objects.SList,java.lang.Integer)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%SortBegin"> Method %SortBegin</A>
    */
    public static void sys_SortBegin (Database db, com.intersys.objects.SList idxlist) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(idxlist);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%SortBegin",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }
    /**
     Runs method sys_SortBegin in Cache
     @param db represented as Database
     @param idxlist represented as com.intersys.objects.SList
     @param excludeunique represented as java.lang.Integer
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%SortBegin"> Method %SortBegin</A>
    */
    public static void sys_SortBegin (Database db, com.intersys.objects.SList idxlist, java.lang.Integer excludeunique) throws CacheException {
        Dataholder[] args = new Dataholder[2];
        args[0] = new Dataholder(idxlist);
        args[1] = new Dataholder(excludeunique);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%SortBegin",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }

    /**
     Runs method sys_SortEnd in Cache
     @param db represented as Database
     @param idxlist set to ""
     @param commit set to 1
     @throws CacheException if any error occured while running the method.
     @see #sys_SortEnd(Database,com.intersys.objects.SList,java.lang.Integer)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%SortEnd"> Method %SortEnd</A>
    */
    public static void sys_SortEnd (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%SortEnd",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }
    /**
     Runs method sys_SortEnd in Cache
     @param db represented as Database
     @param idxlist represented as com.intersys.objects.SList
     @param commit set to 1
     @throws CacheException if any error occured while running the method.
     @see #sys_SortEnd(Database,com.intersys.objects.SList,java.lang.Integer)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%SortEnd"> Method %SortEnd</A>
    */
    public static void sys_SortEnd (Database db, com.intersys.objects.SList idxlist) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(idxlist);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%SortEnd",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }
    /**
     Runs method sys_SortEnd in Cache
     @param db represented as Database
     @param idxlist represented as com.intersys.objects.SList
     @param commit represented as java.lang.Integer
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#%SortEnd"> Method %SortEnd</A>
    */
    public static void sys_SortEnd (Database db, com.intersys.objects.SList idxlist, java.lang.Integer commit) throws CacheException {
        Dataholder[] args = new Dataholder[2];
        args[0] = new Dataholder(idxlist);
        args[1] = new Dataholder(commit);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"%SortEnd",args,Database.RET_PRIM);
        db.parseStatus(res);
        return;
    }

    /**
     Runs method GetPID in Cache
     @param db represented as Database
     @param ID represented as java.lang.String
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#GetPID"> Method GetPID</A>
    */
    public static java.lang.Integer GetPID (Database db, java.lang.String ID) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(ID);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"GetPID",args,Database.RET_PRIM);
        return res.getInteger();
    }

    /**
     Runs method OnPopulate in Cache
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#OnPopulate"> Method OnPopulate</A>
    */
    public void OnPopulate () throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=mInternal.runInstanceMethod("OnPopulate",args,Database.RET_PRIM);
        getDatabase().parseStatus(res);
        return;
    }

    /**
     Runs method PIDGet in Cache
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#PIDGet"> Method PIDGet</A>
    */
    public java.lang.Integer PIDGet () throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=mInternal.runInstanceMethod("PIDGet",args,Database.RET_PRIM);
        return res.getInteger();
    }

    /**
     Runs method Populate in Cache
     @param db represented as Database
     @param count set to 10
     @param verbose set to 0
     @param DeferIndices set to 1
     @param objects set to 0
     @throws CacheException if any error occured while running the method.
     @see #Populate(Database,java.lang.Integer,java.lang.Integer,java.lang.Integer,com.intersys.objects.IntegerHolder)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#Populate"> Method Populate</A>
    */
    public static java.lang.Integer Populate (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"Populate",args,Database.RET_PRIM);
        return res.getInteger();
    }
    /**
     Runs method Populate in Cache
     @param db represented as Database
     @param count represented as java.lang.Integer
     @param verbose set to 0
     @param DeferIndices set to 1
     @param objects set to 0
     @throws CacheException if any error occured while running the method.
     @see #Populate(Database,java.lang.Integer,java.lang.Integer,java.lang.Integer,com.intersys.objects.IntegerHolder)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#Populate"> Method Populate</A>
    */
    public static java.lang.Integer Populate (Database db, java.lang.Integer count) throws CacheException {
        Dataholder[] args = new Dataholder[1];
        args[0] = new Dataholder(count);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"Populate",args,Database.RET_PRIM);
        return res.getInteger();
    }
    /**
     Runs method Populate in Cache
     @param db represented as Database
     @param count represented as java.lang.Integer
     @param verbose represented as java.lang.Integer
     @param DeferIndices set to 1
     @param objects set to 0
     @throws CacheException if any error occured while running the method.
     @see #Populate(Database,java.lang.Integer,java.lang.Integer,java.lang.Integer,com.intersys.objects.IntegerHolder)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#Populate"> Method Populate</A>
    */
    public static java.lang.Integer Populate (Database db, java.lang.Integer count, java.lang.Integer verbose) throws CacheException {
        Dataholder[] args = new Dataholder[2];
        args[0] = new Dataholder(count);
        args[1] = new Dataholder(verbose);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"Populate",args,Database.RET_PRIM);
        return res.getInteger();
    }
    /**
     Runs method Populate in Cache
     @param db represented as Database
     @param count represented as java.lang.Integer
     @param verbose represented as java.lang.Integer
     @param DeferIndices represented as java.lang.Integer
     @param objects set to 0
     @throws CacheException if any error occured while running the method.
     @see #Populate(Database,java.lang.Integer,java.lang.Integer,java.lang.Integer,com.intersys.objects.IntegerHolder)
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#Populate"> Method Populate</A>
    */
    public static java.lang.Integer Populate (Database db, java.lang.Integer count, java.lang.Integer verbose, java.lang.Integer DeferIndices) throws CacheException {
        Dataholder[] args = new Dataholder[3];
        args[0] = new Dataholder(count);
        args[1] = new Dataholder(verbose);
        args[2] = new Dataholder(DeferIndices);
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"Populate",args,Database.RET_PRIM);
        return res.getInteger();
    }
    /**
     Runs method Populate in Cache
     @param db represented as Database
     @param count represented as java.lang.Integer
     @param verbose represented as java.lang.Integer
     @param DeferIndices represented as java.lang.Integer
     @param objects represented as com.intersys.objects.IntegerHolder
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#Populate"> Method Populate</A>
    */
    public static java.lang.Integer Populate (Database db, java.lang.Integer count, java.lang.Integer verbose, java.lang.Integer DeferIndices, com.intersys.objects.IntegerHolder objects) throws CacheException {
        Dataholder[] args = new Dataholder[4];
        int[] refs = new int[1];
        args[0] = new Dataholder(count);
        args[1] = new Dataholder(verbose);
        args[2] = new Dataholder(DeferIndices);
        args[3] = Dataholder.create (objects.value);
        refs[0] = 4;
        Dataholder[] res=db.runClassMethod(CACHE_CLASS_NAME,"Populate",refs,args,Database.RET_PRIM);
        objects.set(res[1].getInteger());
        return res[0].getInteger();
    }

    /**
     Runs method PopulateSerial in Cache
     @param db represented as Database
     @throws CacheException if any error occured while running the method.
     @see <a href = "http://satohiroshi11:1972/apps/documatic/%25CSP.Documatic.cls?APP=1&PAGE=CLASS&LIBRARY=TEST&CLASSNAME=Sample.ProductSize#PopulateSerial"> Method PopulateSerial</A>
    */
    public static java.lang.String PopulateSerial (Database db) throws CacheException {
        Dataholder[] args = new Dataholder[0];
        Dataholder res=db.runClassMethod(CACHE_CLASS_NAME,"PopulateSerial",args,Database.RET_PRIM);
        return res.getString();
    }

    public static CacheQuery query_Extent (Database db) throws CacheException {
        return new CacheQuery(db, "Sample.ProductSize_Extent", 0, 0);
    }

}
